### Virtual Method

# Gcr Comparable compare

#### Declaration [src]

    gint
    compare (
      GcrComparable* self,
      GcrComparable* other
    )

#### Description [src]

Compare whether two objects represent the same thing. The return value can also be used to sort the objects.

#### Parameters

`other`

  Type: `GcrComparable`

  Another comparable object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gint`

Zero if the two objects represent the same thing, non-zero if not.